Bug 1022918 - Intermittent failure in MixedModeTest
Intermittent failure in MixedModeTest
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering (Show other bugs)
6.1.1,6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: Paul Ferraro
Jitka Kozana
Russell Dickenson
Infinispan testsuite
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 05:25 EDT by Richard Janík
Modified: 2014-10-25 08:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 10:31:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Janík 2013-10-24 05:25:47 EDT
Description of problem:

EAP 6.1.1.ER7, 6.2.0.ER1, 6.2.0.ER6
Infinispan 5.2.7.Final

There is an occasional failure of org.infinispan.api.MixedModeTest.testMixedMode. It fails rarely and I have only seen it with ibm jdk 1.7 (and thus only on RHEL) but cannot guarantee that it only happens there.

Stacktrace

java.lang.NullPointerException
	at org.infinispan.api.MixedModeTest.testMixedMode(MixedModeTest.java:72)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:88)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:55)
	at java.lang.reflect.Method.invoke(Method.java:613)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:714)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:901)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1231)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
	at org.testng.TestRunner.privateRun(TestRunner.java:767)
	at org.testng.TestRunner.run(TestRunner.java:617)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
	at org.testng.SuiteRunner.access$000(SuiteRunner.java:37)
	at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368)
	at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:345)
	at java.util.concurrent.FutureTask.run(FutureTask.java:177)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1156)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:626)
	at java.lang.Thread.run(Thread.java:780)


https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-infinispan-rhel-matrix/47/jdk=ibm17,label=RHEL5_x86_64/testReport/org.infinispan.api/MixedModeTest/testMixedMode/
Comment 2 Michal Vinkler 2014-10-14 10:31:26 EDT
Not seen in Infinispan 5.2.10. Closing.

Note You need to log in before you can comment on or make changes to this bug.